PROGRAM RkGenKey;

{
 This is a sample program using rKey.  It is a sample of a registration
 key generation program that would be used by the programmer to create
 registration keys to be distributed to registered users.  The program
 itself would NOT be distributed, as it would allow users to generate
 registration keys.  This sample will create a registration key for the
 RkSample program, which can be branded using the RkBrand program.
}


USES
  rKey;     { to use StrLib change rKey to rKeyS }


CONST
  RkGenKeyVer = '1.1';


VAR
  n : STRING[36];


BEGIN
  OwnerCode := 'ArgleBarbWotsLeeb';
  ProgramCode := 'RkSample Two';
  KeyFileName := 'RKSAMPLE';
  WriteLn('RkGenKey v' + RkGenKeyVer);
  WriteLn('Registration Key Generation Program for RkSample v2.x');
  WriteLn('(c) 1990 TrendSoft, Inc.');
  WriteLn;
  WriteLn('FOR INTERNAL USE ONLY!');
  WriteLn('DO NOT DISTRIBUTE!');
  WriteLn;
  Write('Enter name of person to register : ');
  ReadLn(n);
  WriteLn;
  WriteLn('Registration key is ' + MakeKey(n,0));
END.
